libbrowser-open-perl_0.04-1_all.deb


Advertisement

Description

libbrowser-open-perl - Perl module to open a browser in a given URL

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libbrowser-open-perl
Package version: 0.04
Package release: 1
Package architecture: all
Package type: deb
Installed size: 50 B
Download size: 7.35 KB
Official Mirror: ftp.br.debian.org
The functions optionaly exported by Browser::Open allows you to open URLs in the user browser. A set of known commands per OS-name is tested for presence, and the first one found is executed. With an optional parameter, all known commands are checked. The "open_browser" uses the system() function to execute the command. If you want more control, you can get the command with the "open_browser_cmd" or "open_browser_cmd_all" functions and then use whatever method you want to execute it.

Alternatives

Requires

    Download

    Source package: libbrowser-open-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libbrowser-open-perl deb package:
      # sudo apt-get install libbrowser-open-perl

    Files

    • /usr/share/doc/libbrowser-open-perl/changelog.Debian.gz
    • /usr/share/doc/libbrowser-open-perl/changelog.gz
    • /usr/share/doc/libbrowser-open-perl/copyright
    • /usr/share/man/man3/Browser::Open.3pm.gz
    • /usr/share/perl5/Browser/Open.pm

    Changelog

    2012-03-13 - Salvatore Bonaccorso <carnil@debian.org> libbrowser-open-perl (0.04-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Imported Upstream version 0.04 * Update debian/copyright information. Update format to copyright-format 1.0 as released together with Debian policy 3.9.3. Update copyright years for debian/* packaging. * Remove override for dh_auto_install. The override is not needed anymore as the temporary files pod2htmd.tmp and pod2htmi.tmp are removed from the source upstream. * Bump Debhelper compat level to 8. Adjust Build-Depends on debhelper to (>= 8). * Bump Standards-Version to 3.9.3 * Simplify dependencies on versions satisfied in stable. Drop alternative (Build-)Depends(-Indep) for dependencies already satisfied in stable.

    2011-02-25 - Salvatore Bonaccorso <carnil@debian.org> libbrowser-open-perl (0.03-1) unstable; urgency=low * Initial Release (Closes: #615038).

    Advertisement
    Advertisement